///home/berryj/link/bin/genMethods "-g" "-t" "Set<char*>" "-h" "MSet" "-r" "Collection<char*>" "-I" "LINK/basic/Set.h" "-I" "LINK/basic/MSet.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/basic/MSet.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Set<char*> _Set_char__;
typedef MSet<Set<char*> > _MSet_Set_char___;
static MSet<Set<char*> > s__MSet_Set_char___;

#define _MSet_Set_char___DATA(x) ((MSet<Set<char*> >*) (EXTDATA(x)))
#define _MSet_Set_char___IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MSet<Set<char*> > >::type))
#define _MSet_Set_char___ISNT_DATA(x) (!_MSet_Set_char___IS_DATA(x))

#define _MSet_Set_char___CXX_DATA(x) (*(MSet<Set<char*> >*) (EXTDATA(VAL(x))))
#define _MSet_Set_char___CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MSet<Set<char*> > >::type))
#define _MSet_Set_char___CXX_ISNT_DATA(x) (!_MSet_Set_char___CXX_IS_DATA(x))


PRIMITIVE STk_init__MSet_Set_char___()
{
	Wrapper<_MSet_Set_char___>::type = STk_new_CXXwrapper_id(
			Wrapper<_MSet_Set_char___>::name, 
			Wrapper<Collection<char*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Set_char__>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_char__>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_char__>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_MSet_Set_char___>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_MSet_Set_char___Methods(void);

PRIMITIVE STk_init_methods__MSet_Set_char___()
{
	genExtra_MSet_Set_char___Methods();
	return UNDEFINED;
}
